SDL_GamepadAxis(3type)

NAME
SDL_GamepadAxis - The list of axes available on a gamepad

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_GamepadAxis
{
    SDL_GAMEPAD_AXIS_INVALID = -1,
    SDL_GAMEPAD_AXIS_LEFTX,
    SDL_GAMEPAD_AXIS_LEFTY,
    SDL_GAMEPAD_AXIS_RIGHTX,
    SDL_GAMEPAD_AXIS_RIGHTY,
    SDL_GAMEPAD_AXIS_LEFT_TRIGGER,
    SDL_GAMEPAD_AXIS_RIGHT_TRIGGER,
    SDL_GAMEPAD_AXIS_COUNT
} SDL_GamepadAxis;

DESCRIPTION
Thumbstick axis values range from

SDL_JOYSTICK_AXIS_MIN
 to

SDL_JOYSTICK_AXIS_MAX , and are centered within ~8000 of zero, though advanced UI will allow users to set or autodetect the dead zone, which varies between gamepads.

Trigger axis values range from 0 (released) to

SDL_JOYSTICK_AXIS_MAX
 (fully pressed) when reported by SDL_GetGamepadAxis (). Note that this is not the same range that will be reported by the lower-level

SDL_GetJoystickAxis ().

AVAILABILITY
This enum is available since SDL 3.2.0.